Bug 115967 - [GTK] Add a basic cmake build for WTF and JavaScriptCore
Summary: [GTK] Add a basic cmake build for WTF and JavaScriptCore
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks: 115966 116142
  Show dependency treegraph
 
Reported: 2013-05-11 13:29 PDT by Martin Robinson
Modified: 2013-05-15 02:07 PDT (History)
9 users (show)

See Also:


Attachments
Patch (23.00 KB, patch)
2013-05-11 13:40 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Try to fix the EFL build (23.00 KB, patch)
2013-05-11 16:21 PDT, Martin Robinson
laszlo.gombos: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2013-05-11 13:29:32 PDT
This is the first step to a full cmake build.
Comment 1 Martin Robinson 2013-05-11 13:40:45 PDT
Created attachment 201469 [details]
Patch
Comment 2 EFL EWS Bot 2013-05-11 13:48:29 PDT
Comment on attachment 201469 [details]
Patch

Attachment 201469 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/460188
Comment 3 EFL EWS Bot 2013-05-11 14:55:57 PDT
Comment on attachment 201469 [details]
Patch

Attachment 201469 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/451272
Comment 4 Martin Robinson 2013-05-11 16:21:27 PDT
Created attachment 201475 [details]
Try to fix the EFL build
Comment 5 Laszlo Gombos 2013-05-11 19:03:12 PDT
Comment on attachment 201475 [details]
Try to fix the EFL build

View in context: https://bugs.webkit.org/attachment.cgi?id=201475&action=review

Looks good to me, assuming commnets are fixed in Source/cmake/Find*.cmake

> Source/JavaScriptCore/PlatformGTK.cmake:2
> +    jit/ExecutableAllocatorFixedVMPool.cpp

We should try to move this out from the GTK specific cmake file into the shared cmake file in a separate/follow-up patch if possible. It seem jit/ExecutableAllocatorFixedVMPool.cpp has a guard already.

> Source/WTF/wtf/PlatformGTK.cmake:3
> +    OSAllocatorPosix.cpp
> +    OSAllocatorWin.cpp

Ditto for these 2 files and possible others in this list.

> Source/cmake/FindGAIL3.cmake:6
> +#  GAIL3_FOUND - system has Cairo
> +#  GAIL3_INCLUDE_DIRS - the Cairo include directories
> +#  GAIL3_LIBRARIES - link these to use Cairo

Cairo --> Gail3.

> Source/cmake/FindGDK3.cmake:6
> +#  GDK3_FOUND - system has Cairo
> +#  GDK3_INCLUDE_DIRS - the Cairo include directories
> +#  GDK3_LIBRARIES - link these to use Cairo

Cairo -> GDK3

> Source/cmake/FindGTK3.cmake:6
> +#  GTK3_FOUND - system has Cairo
> +#  GTK3_INCLUDE_DIRS - the Cairo include directories
> +#  GTK3_LIBRARIES - link these to use Cairo

Cairo -> GTK3.

> Source/cmake/FindXt.cmake:6
> +#  XT_FOUND - system has Cairo
> +#  XT_INCLUDE_DIRS - the Cairo include directories
> +#  XT_LIBRARIES - link these to use Cairo

Cairo -> Xt.
Comment 6 Martin Robinson 2013-05-12 12:11:00 PDT
Committed r149968: <http://trac.webkit.org/changeset/149968>
Comment 7 Martin Robinson 2013-05-12 12:26:50 PDT
(In reply to comment #5)
> (From update of attachment 201475 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=201475&action=review
> 
> Looks good to me, assuming commnets are fixed in Source/cmake/Find*.cmake

Thanks for the review.

> 
> > Source/JavaScriptCore/PlatformGTK.cmake:2
> > +    jit/ExecutableAllocatorFixedVMPool.cpp
> 
> We should try to move this out from the GTK specific cmake file into the shared cmake file in a separate/follow-up patch if possible. It seem jit/ExecutableAllocatorFixedVMPool.cpp has a guard already.

Doing that at bug 115992.